export async function onRequest(context: RequestContext) {
  const { current_user: currentUser } = context.data;

  if (!currentUser)
    return new Response('{"error":Not logged in"}', {
      headers: {
        "content-type": "application/json",
      },
      status: 401,
    });

  if (!(currentUser.permissions & (1 << 5)))
    return new Response('{"error":"Forbidden"}', {
      headers: {
        "content-type": "application/json",
      },
      status: 403,
    });

  return await context.next();
}
